CUPTI (PDF) - v9.1.85 (older) - Last updated November 3, 2017 - Send Feedback

## 3.16. CUpti_ActivityFunction Struct Reference

## [CUPTI Activity API]

This activity records function name and corresponding module information. (CUPTI_ACTIVITY_KIND_FUNCTION).

### Public Variables

uint32_t contextId
uint32_t functionIndex
uint32_t id
CUpti_ActivityKind kind
uint32_t moduleId
const char * name

### Variables

uint32_t CUpti_ActivityFunction::contextId [inherited]

  The ID of the context where the function is launched.

uint32_t CUpti_ActivityFunction::functionIndex [inherited]

  The function's unique symbol index in the module.

uint32_t CUpti_ActivityFunction::id [inherited]

  ID to uniquely identify the record

CUpti_ActivityKind CUpti_ActivityFunction::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_FUNCTION.

uint32_t CUpti_ActivityFunction::moduleId [inherited]

  The module ID in which this global/device function is present.

const char * CUpti_ActivityFunction::name [inherited]

  The name of the function. This name is shared across all activity records representing the same kernel, and so should not be modified.